<div class="auth-container">
  <h3>{{action}}</h3>
  <form [formGroup]="loginForm" (ngSubmit)="onSubmit()" autocomplete="off">
    <mat-form-field appearance="fill">
      <mat-label>Username:</mat-label>
      <input 
        matInput
        required
        formControlName="username"
      >
      <mat-error *ngIf="(submitted || loginFormControl.username.touched) && loginFormControl.username.errors?.required">Username required</mat-error>
    </mat-form-field>

    <mat-form-field appearance="fill">
        <mat-label>Password:</mat-label>
        <input 
          matInput
          required 
          [type]="hide ? 'password' : 'text'"
          formControlName="password"
        >
        <button 
          mat-icon-button 
          type="button"
          matSuffix (click)="hide = !hide" 
          [attr.aria-label]="'Hide password'" 
          [attr.aria-pressed]="hide"
        >
        <mat-icon>{{hide ? 'visibility_off' : 'visibility'}}</mat-icon>
        </button>
        <mat-error *ngIf="(submitted || loginFormControl.password.touched) && loginFormControl.password.errors?.required">Password required</mat-error>
    </mat-form-field>

    <mat-form-field *ngIf="!isLoginPage" appearance="fill">
      <mat-label>Repeat password:</mat-label>
      <input 
        matInput
        required 
        [type]="hideRepeat ? 'password' : 'text'"
        formControlName="repeatPassword"
      >
      <button 
        mat-icon-button 
        type="button"
        matSuffix (click)="hideRepeat = !hideRepeat" 
        [attr.aria-label]="'Hide password'" 
        [attr.aria-pressed]="hide"
      >
      <mat-icon>{{hideRepeat ? 'visibility_off' : 'visibility'}}</mat-icon>
      </button>
      <mat-error *ngIf="(submitted || loginFormControl.repeatPassword.touched) && loginFormControl.repeatPassword.errors?.passwordsDoNotMatch">Passwords do not match</mat-error>
  </mat-form-field>
  <div class="wrapper">
    <button class="submit-btn" [disabled]="!loginForm.valid" type="submit" mat-raised-button color="primary">
      {{action}}
    </button>
    <mat-spinner [diameter]="25" *ngIf="loading"></mat-spinner>
  </div>
    <mat-error *ngIf="error">{{error}}</mat-error>

  </form>
    
  <a *ngIf="isLoginPage" routerLink="../register" routerLinkActive="true" >Don't have an account?</a>
  <a *ngIf="!isLoginPage" routerLink="../login" routerLinkActive="true" >Already have an account?</a>
</div>